import http from '../http'

export default {
  page: data => http.post('/v1/env_monitor/page', data).then(res => res),
  deleteById: id => http.delete('/v1/env_monitor/' + id).then(res => res),
  pageCatalogueItem: data =>
    http.post('/v1/env_monitor/page-catalogue-item', data).then(res => res),
  pageForCatalogue: data =>
    http.post('/v1/env_monitor/page-for-catalogue', data).then(res => res),
  getById: id => http.get('/v1/env_monitor/' + id).then(res => res),
  edit: data =>
    http.put('/v1/env_monitor/edit/' + data.id, data.obj).then(res => res),
  add: data => http.post('/v1/env_monitor/', data).then(res => res)
}
